Bug 1569243 - The version in Fedora does not work with my printer
Summary: The version in Fedora does not work with my printer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epson-inkjet-printer-escpr
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 21:14 UTC by Rebecca Sobol
Modified: 2019-07-19 02:05 UTC (History)
6 users (show)

Fixed In Version: epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc30 epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc29 epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el7 epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 00:58:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Rebecca Sobol 2018-04-18 21:14:29 UTC
Description of problem: I recently bought an Epson ET-2750.  I went to Epson site and downloaded a driver for the printer.  Fedora wants to update that driver, but the updated driver results in my printer rejecting print jobs.


Version-Release number of selected component (if applicable):
1:1.6.17-1.1lsb3.2.fc27

How reproducible:
very

Steps to Reproduce:
1. install epson-inkjet-printer-escpr-1.6.20-1lsb3.2.x86_64.rpm downloaded from Epson site
2. verify that it works (it does)
3. update to epson-inkjet-printer-escpr-1:1.6.17-1.1lsb3.2.fc27


Actual results:
printer won't print

Expected results:
printer is expected to print

Additional info:

Comment 1 Ben Cotton 2018-11-27 16:06:51 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Rebecca Sobol 2018-11-27 16:21:31 UTC
Driver did not work on F28, and it doesn't work on F29. Epson's current version is epson-inkjet-printer-escpr-1.6.32-1lsb3.2.x86_64.rpm 

It is a bit of pain to have to "downgrade" my driver every time I want to print something. Then the next day I run dnf update and get an "upgraded" driver that doesn't work.

Comment 3 Don Pellegrino 2019-03-31 13:55:03 UTC
It seems that this package is not tracking Epson's releases very closely. Are the newer Epson drivers failing an integration test or is the update process for the package getting held up some other way?

Comment 4 Rebecca Sobol 2019-07-03 15:19:27 UTC
Updating this bug for Fedora 30. The Fedora driver still bricks my printer.

Fedora: epson-inkjet-printer-escpr-1:1.6.30-2.1lsb3.2.fc30 (does not work)

Epson: epson-inkjet-printer-escpr-1.6.41-1lsb3.2.x86_64.rpm (works)

Comment 5 Susi Lehtola 2019-07-03 16:20:37 UTC
Sorry, the package hasn't had much overlook since I don't have an Epson inkjet printer anymore and have been really busy with work.

There's also a huge reason not to update too often - especially since I can't test it myself - since they broke the driver like a year or two ago and we are still relying on third party patches to fix segfaults in the Epson driver, which is obviously caused by poor coding.

As to the ticket filed against the Fedora package, it's a kind of non-issue: we are not to blame for Epson's broken packages. Third-party packages are not supported, full stop.

As to the driver version, the original problem had already been solved before the bug was filed (version 1.6.20 had been built three days before), and the ticket should have been closed, had I noticed it.

If anyone here has an Epson inkjet and is a Fedora packager, I would gladly give over responsibility for the package so I can focus more on stuff that I actually can support.

Comment 6 Fedora Update System 2019-07-03 16:21:10 UTC
FEDORA-EPEL-2019-02487521f1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-02487521f1

Comment 7 Fedora Update System 2019-07-03 16:21:14 UTC
FEDORA-2019-155f5fafd0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-155f5fafd0

Comment 8 Fedora Update System 2019-07-03 16:21:14 UTC
FEDORA-EPEL-2019-b5618c7054 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b5618c7054

Comment 9 Fedora Update System 2019-07-04 00:58:24 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-155f5fafd0

Comment 10 Fedora Update System 2019-07-04 01:16:02 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-02487521f1

Comment 11 Fedora Update System 2019-07-04 02:30:47 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b5618c7054

Comment 12 Fedora Update System 2019-07-04 03:11:01 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b4bf885d9

Comment 13 Fedora Update System 2019-07-12 00:58:33 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-07-12 06:17:15 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-07-19 00:32:02 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-07-19 02:05:23 UTC
epson-inkjet-printer-escpr-1.6.41-1.1lsb3.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.